2021-01-12 17:17:55 UTC
283 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:0766cf79c8928aa3f896ef392c35c2447301aec0dbac55ac6da9a6efde011fd6 - 17.23% (48.8 MB)
[#001] sha256:45e3049e9c61bd8ec7a11a8d511e6e49314335b9483bebb284233b813718076b - 2.69% (7.61 MB)
[#002] sha256:c5e60415ae2910cd4250c2204e52a34fb01fd20439269ee1cb768e195de279c3 - 3.48% (9.86 MB)
[#003] sha256:3cb1f672cb3a4e1913fc3656c4c8fc50ef5f7c6290fc38830ccac36ef778eecd - 18.0% (51 MB)
[#004] sha256:2eeb8be618f9696ece093704140db318f0d3b29e70a2fef5d00049281b0da824 - 24.78% (70.2 MB)
[#005] sha256:9f499835aeaa695369325582c5cf147587b6661c272ccc1f3dd5afb2a8edf9b3 - 33.82% (95.8 MB)
[#006] sha256:cea0031acbbfd786a5a993caf8d55bd5cef41406d5a8bb171f155f42925f09b1 - 0.0% (124 Bytes)
/bin/sh -c #(nop) ADD file:a9adff9550f58602df592d7afdcf7dead81207490f94d5119ce09d6a3a35c856 in /
2021-01-12 00:39:20 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 03:18:36 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 03:18:44 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 03:19:10 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 17:14:42 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 17:14:42 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 17:17:36 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 17:17:54 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 17:17:54 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 17:17:54 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 17:17:55 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 17:17:55 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-13 13:54:21 UTC
5.57 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.15.6
GOPATHC:\gopath
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.08% (3.79 GB)
[#001] sha256:bd091f41e44cabc11504b7e130c74a7ef654f58840ba102e3507c4fdf2bae994 - 28.83% (1.61 GB)
[#002] sha256:51e9c5c519fdcd28aa0ed033a3cc16cf37dd76bea8ec06b2dc4a344415bdd224 - 0.0% (1.14 KB)
[#003] sha256:7c7c74b9f7bda8494c06b61f172b711267512a7eef464aae2946fa79f14fbc6c - 0.0% (1.1 KB)
[#004] sha256:16980afcb11d4373e2ced6b4e81c79cdc57071c5b2d049925d8103e3b1685c0a - 0.0% (1.1 KB)
[#005] sha256:91b769faccdc304e663d15a124104d2aaa3ac8f722d364a8196f27a3cb7485cd - 0.0% (1.13 KB)
[#006] sha256:8ee85b465f4b2c47a1ed4af61a17e4f6bd1f26c42b26eeba881f2a5fdf182619 - 0.0% (1.1 KB)
[#007] sha256:7a900fab54fda5407bf2c34f918f84f42c2ba78c89b79b10e5a8059a642814c5 - 0.59% (33.6 MB)
[#008] sha256:22d4728bca9e3e0ca560fb0489af700986254ac669509fff4e8e8e208dde2bf3 - 0.0% (1.1 KB)
[#009] sha256:7d7738a5c4a381adacded290e0ed60fb37c9afa472ca097aae390199b16f444d - 0.09% (5.34 MB)
[#010] sha256:b672210fe483e9cdf3c02d7be3d0e3d8f9ec4c722a08867ea71c07537caa027d - 0.0% (1.13 KB)
[#011] sha256:6b63a5f872bfdcd4eac7340ca401f15e9f249d8d4a6989e467f28553be8a7185 - 2.41% (137 MB)
[#012] sha256:19a2719bd4412ae0e5e862b58642fc29da670ebd99018ae451574488617d960d - 0.0% (1.25 KB)
Apply image 1607-RTM-amd64
2021-01-07 11:30:00 UTCInstall update ltsc2016-amd64
2021-01-13 13:37:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-01-13 13:37:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2021-01-13 13:37:08 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2021-01-13 13:37:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2021-01-13 13:37:09 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2021-01-13 13:39:17 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2021-01-13 13:39:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2021-01-13 13:40:42 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2021-01-13 13:50:29 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-13 13:54:19 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.15.6.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'b7b3808bb072c2bab73175009187fd5a7f20ffe0a31739937003a14c5c4d9006'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2021-01-13 13:54:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2021-01-12 23:23:11 UTC
295 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:b9a857cbf04d2c0d2f0f6b73e894b20a977a6d3b6edd9e27d080e03142954950 - 16.27% (48.1 MB)
[#001] sha256:d557ee20540b597f518df05bc6888778cfc92bf46040c701d4a622389feb6807 - 2.52% (7.45 MB)
[#002] sha256:3b9ca4f00c2e4896c65625d678544b764d7483dca9dcab92b62093db72f21d3e - 3.23% (9.53 MB)
[#003] sha256:667fd949ed9338da3c1e09f9b75408c214368c637c448e0fd839467f6f7717b5 - 16.74% (49.4 MB)
[#004] sha256:547cc43be03d30dadf175bfd9e0e67b4ee2ba5bc2b948a071c1181566f700b7c - 22.19% (65.5 MB)
[#005] sha256:0977886e8147a0819faaf04fd1e28d15b0e017dd895469cc2deb01abf1b5fc61 - 39.05% (115 MB)
[#006] sha256:cceccf7c7738f12ca073fa2c23befb2fd3ddef9d2bd76f6454c4e774b0ec1b2a - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:53e587afdbeaee60cc14bd95907f14c8303c04b98c72f98e2c54d4343f15dd38 in /
2021-01-12 00:32:37 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 03:57:25 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 03:57:32 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 03:57:54 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 23:22:31 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 23:22:31 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 23:22:56 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 23:23:09 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 23:23:10 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 23:23:10 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 23:23:11 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 23:23:11 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-13 13:50:17 UTC
2.43 GB
8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
GIT_DOWNLOAD_URLhttps://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
GIT_TAGv2.23.0.windows.1
GIT_VERSION2.23.0
GOLANG_VERSION1.15.6
GOPATHC:\gopath
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 65.87% (1.6 GB)
[#001] sha256:4dcc9a9b9e680514ef3fdfcc2ce08a3768f9e412703faa137f4a7c8297600052 - 27.5% (684 MB)
[#002] sha256:e00081a98bb2679c3c5f469e09d475980133a20987f9cae4cf4f7aedf59f9d8f - 0.0% (1.13 KB)
[#003] sha256:ad72ac4b6931b207a545d6d62fda35143222f3144778d4338ba25345066dce83 - 0.0% (1.1 KB)
[#004] sha256:fa315e63f98a74b6d8eaa632289849e8ec86de24cc05b5a05e0f5e60fef47ca1 - 0.0% (1.16 KB)
[#005] sha256:32646dc4c31ba7b4756ec7a55372b0b826608da90c73a1b0e70be1ec400e5cd9 - 0.0% (1.1 KB)
[#006] sha256:316e012143f550ba0c16a6368ae3695a74a56b153468e98d9c463221448e557b - 0.0% (1.11 KB)
[#007] sha256:7de36418fb6d968516c8374e5baf49e2bce6bbab4a107753c235e67c36187e16 - 1.32% (32.9 MB)
[#008] sha256:349aa2cb74f5d5cc343c42d6ba9fec62a6885cedcc0f07995fa77e3f68c6ac75 - 0.0% (1.11 KB)
[#009] sha256:1384ca1dabb9f23cb13f29f907b3a436e7676da86a825631d876e4a204898b47 - 0.01% (294 KB)
[#010] sha256:33d2e467ff941e29cd3a8cdb0706b227a1475b3c0d048a45ecda6820adac910d - 0.0% (1.12 KB)
[#011] sha256:3537629bf7b43c4d30c002c5a0dc0e2ec5e3d828cf7ef088f88f2663abf50205 - 5.3% (132 MB)
[#012] sha256:17ff0d78dc7ca0efc7677698accfc5f2599714e1a53cecb7eee760cef28131d8 - 0.0% (1.28 KB)
Apply image 1809-RTM-amd64
2021-01-08 08:50:52 UTCInstall update 1809-amd64
2021-01-13 13:13:16 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2021-01-13 13:32:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0
2021-01-13 13:32:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1
2021-01-13 13:32:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip
2021-01-13 13:32:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735
2021-01-13 13:34:00 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';
2021-01-13 13:34:01 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath
2021-01-13 13:34:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);
2021-01-13 13:47:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-13 13:50:15 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = 'https://storage.googleapis.com/golang/go1.15.6.windows-amd64.zip'; Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'b7b3808bb072c2bab73175009187fd5a7f20ffe0a31739937003a14c5c4d9006'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';
2021-01-13 13:50:17 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath
2021-01-12 13:21:49 UTC
257 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:2663f95eeaf3e5f20b51c12003bb968c3590794bc6eb385f9e448a620c063beb - 17.84% (45.9 MB)
[#001] sha256:d00face3f5d2c20e2d27bb8a18bc2970f142fcd36b1aa94a95004cb93990e3bf - 2.73% (7.02 MB)
[#002] sha256:f4a678d54f3a9324d0c090e05019af611bbe80cf104f7762f5034da6ac4257ea - 3.59% (9.24 MB)
[#003] sha256:c227fef8ac09a8d6728bb05fe2d2bab3a83fd4dccbee20b5f35d988cbb53a01b - 18.38% (47.3 MB)
[#004] sha256:1f310365a5b4be0622861b4cc6f45181da167de3e3675f9f5998456c04976154 - 19.29% (49.6 MB)
[#005] sha256:7461e1e91909a33ce449974477110c3c7005258f29c785bc06f098e388d8e6a9 - 38.17% (98.2 MB)
[#006] sha256:554d66700d41c271327d3a2ba27d25cc42615569b2e66288fe034a1bd1e3794a - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:6bb5740487b2a3dbdcfe226dc1b844c4b3586f92824989273c94f58a7be61521 in /
2021-01-12 00:51:11 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 01:28:25 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 01:28:43 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 01:29:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 13:14:53 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 13:14:56 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 13:18:45 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 13:21:42 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 13:21:46 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 13:21:47 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 13:21:48 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 13:21:49 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-12 19:50:32 UTC
249 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:d8925d905dadf63fa0ff74be912443a1cf8cd72ea5543317b0e22067d39ef948 - 17.6% (43.7 MB)
[#001] sha256:abd9c5a6d77413d17345fcf1f89b9dde2f3d9d6157bd070d4093cfef30107add - 2.72% (6.77 MB)
[#002] sha256:22e1f8e87a65e3a71764ea79b951f915c90a885dfd516f61e57d81745acaf272 - 3.58% (8.91 MB)
[#003] sha256:d43213eb5a44e08394e2dfcfb96a0577df6dea9ae20ef636053cf840a14d7cad - 18.16% (45.2 MB)
[#004] sha256:e230a9dc5b7d6af1fad8076c109e8ff819f32761931cd9ddef1356053f6ed3db - 20.4% (50.7 MB)
[#005] sha256:bda7d6d86048dcb0cc7ffaab8a043a6e844c9ed460327ae8d7d8d207295d6475 - 37.53% (93.3 MB)
[#006] sha256:9b97adc9ae23c59ece9035d9bbf6edf8d3a640c58c4c908f2142623a4fea92c9 - 0.0% (154 Bytes)
/bin/sh -c #(nop) ADD file:216371f6fe8c803a0191f84e555c809a3301d1344c62b831dddb5e0c595fe0ef in /
2021-01-12 00:00:46 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 01:14:54 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 01:15:06 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 01:15:48 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 19:49:12 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 19:49:13 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 19:50:01 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 19:50:25 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 19:50:27 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 19:50:28 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 19:50:31 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 19:50:32 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-12 20:18:43 UTC
266 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:6e5587ff5efa4e647ae927194fac9b961a68d46b23b68a3119c90016e58f17aa - 17.62% (46.9 MB)
[#001] sha256:439dbbb05ea0aa8484ae8a51d0fbb1c7609176a1b0d3f15dad69d52e9a83af66 - 2.75% (7.33 MB)
[#002] sha256:3b89c8b4e5b232c040d5905808ee62cdfcc9d697de10183d6bc4767468859d92 - 3.58% (9.52 MB)
[#003] sha256:4a53f70a43c3c83782c39cad75aa09ccddb893b3fd54762416fca4d48a3b44b5 - 18.68% (49.7 MB)
[#004] sha256:d56052def468cb5c58be8e760350fc9a45d39c59eee37508312766e5c982dd99 - 22.41% (59.7 MB)
[#005] sha256:13a5b0d2643d01b2b8d2abf5a3a6a6f076a4673f6385da822be9048fe87c5913 - 34.96% (93.1 MB)
[#006] sha256:d181c725784f240512864b0f2901fd79a83e86c92a5d50fa69cb50e277e859b9 - 0.0% (156 Bytes)
/bin/sh -c #(nop) ADD file:849d424ecc8572facb3ca68eff836dce211bc677cb32d3c3eaa129d364d33878 in /
2021-01-12 00:40:43 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 01:23:26 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 01:23:41 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 01:24:24 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 20:17:26 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 20:17:29 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 20:18:19 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 20:18:36 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 20:18:40 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 20:18:40 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 20:18:42 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 20:18:43 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-12 16:28:33 UTC
260 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1d0e08cc8efbf09ece45929fdb6f02d6bf57202bf8653e71adc6e782f0e67c68 - 18.0% (46.8 MB)
[#001] sha256:999a474ffc3c8bea221f1d8cd6242dede4fd59e39591c684e2e1a3f175dfaabd - 2.66% (6.9 MB)
[#002] sha256:9ba100e51ff51674e6e530f33b8b3dab47d6c95c36fb384daf75f67cfa1d36de - 3.68% (9.55 MB)
[#003] sha256:f8e406dcf9e8aa8be41fcde4b18a0478cad031260659d026dd4e43ae5dc99b80 - 18.67% (48.5 MB)
[#004] sha256:6339e0b01cf74f963b4dac47fc8c21200d20e5ca2c2f6960442abd8e5fdeb876 - 20.06% (52.1 MB)
[#005] sha256:967eaceafc27fab6bb82d94ef81eba60a39ab7254392e41e8832a19e4e8d8ccc - 36.94% (95.9 MB)
[#006] sha256:39765e440505a9358049865f9848453ea9d1751875038c461f1d3939c67b1c90 - 0.0% (126 Bytes)
/bin/sh -c #(nop) ADD file:1ea3ca1d00229eb0be06bc2fa54f95822e906deb654f8f3bf5d6aa49dd884f6f in /
2021-01-12 01:15:59 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 01:50:27 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 01:50:43 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 01:51:33 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 16:12:50 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 16:12:51 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 16:21:01 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 16:28:29 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 16:28:31 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 16:28:31 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 16:28:33 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 16:28:33 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-12 20:00:18 UTC
287 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f55666525fdfb3052e2a27209639b4e83b4d5c8ca7cfcff8525f50f63345cc0d - 18.02% (51.6 MB)
[#001] sha256:3a708f84b552354f6bd7c8b378ef1e6115050807ae6691c9d0673313a9bc6efe - 2.75% (7.87 MB)
[#002] sha256:7316456c5112c2c378cba4cdaa76f5ef1a261726c4c1bbbb78d3e55412bdcbbb - 3.57% (10.2 MB)
[#003] sha256:43f5c800c03748ea756d5667879a46f6fc464545603bff606353bb4fc2039985 - 19.12% (54.8 MB)
[#004] sha256:9020b6f08e528d8da40ae076803bb543c9c9124f9c9cb7374f0600c82f03c42d - 24.5% (70.2 MB)
[#005] sha256:78579257cdaaf1fb5b62e862e12b2aaae8f8b41e6a0dfe118525cc09fcf1bd1c - 32.04% (91.8 MB)
[#006] sha256:46ec0ffac54548ea4176459bef7bd53cdbbfa42ae96f0be18c8291ccdc582acf - 0.0% (154 Bytes)
/bin/sh -c #(nop) ADD file:cebd019e462ded2318bdc6bbfa649ddd11dc15d005b0f330876282e08143e069 in /
2021-01-12 00:24:28 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 01:59:39 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 02:00:56 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 02:03:45 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 19:57:21 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 19:57:31 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 19:59:03 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 19:59:32 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 19:59:44 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 19:59:50 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 20:00:11 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 20:00:18 UTC/bin/sh -c #(nop) WORKDIR /go
2021-01-12 15:13:34 UTC
263 MB
1.15.6
GOPATH/go
PATH/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:15e71c2ae22f7fff5a03d5a2c1ccbee8b2526b04a21e1cff46ad70648272e773 - 17.78% (46.7 MB)
[#001] sha256:1aaa59f720edfbbd3dceca4a0253274b1730139ee512333e7ec6c74c77ae1a59 - 2.68% (7.04 MB)
[#002] sha256:d930b55daa1d1253012758814d63e3c45e1eda80229b838a38e804e1aa47bbe2 - 3.59% (9.43 MB)
[#003] sha256:950e64959dfb388a9874bb74ace538bd9da65024ea4fd0f99e2b995c57f1d976 - 18.65% (49 MB)
[#004] sha256:26fdb6f58c92c31b8a36f673fb66b9a831535bb25837f4f9f4b625fdd7c7cb96 - 20.61% (54.1 MB)
[#005] sha256:feefcb4cb8875e1e49f2ef6daa3dbea29db786ed1b8b1ea8066b591bd2de3213 - 36.68% (96.4 MB)
[#006] sha256:7dd3934ea0a961a15496e47638e8e426d7b59eb8483155abdccc46b642b6a662 - 0.0% (155 Bytes)
/bin/sh -c #(nop) ADD file:7d0e79f65f07030b440bfbb8e3fac979eddeed967c5e47ac30b5c2aa5e0144b1 in /
2021-01-12 00:42:09 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-01-12 02:10:09 UTC/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*
2021-01-12 02:10:15 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2021-01-12 02:10:43 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2021-01-12 15:12:16 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*
2021-01-12 15:12:19 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 15:13:02 UTC/bin/sh -c #(nop) ENV GOLANG_VERSION=1.15.6
2021-01-12 15:13:28 UTC/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in 'amd64') arch='linux-amd64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-amd64.tar.gz'; sha256='3918e6cc85e7eaaa6f859f1bdbaac772e7a825b0eb423c63d3ae68b21f84b844'; ;; 'armhf') arch='linux-armv6l'; url='https://storage.googleapis.com/golang/go1.15.6.linux-armv6l.tar.gz'; sha256='40ba9a57764e374195018ef37c38a5fbac9bbce908eab436370631a84bfc5788'; ;; 'arm64') arch='linux-arm64'; url='https://storage.googleapis.com/golang/go1.15.6.linux-arm64.tar.gz'; sha256='f87515b9744154ffe31182da9341d0a61eb0795551173d242c8cad209239e492'; ;; 'i386') arch='linux-386'; url='https://storage.googleapis.com/golang/go1.15.6.linux-386.tar.gz'; sha256='ad187f02158b9a9013ef03f41d14aa69c402477f178825a3940280814bcbb755'; ;; 'ppc64el') arch='linux-ppc64le'; url='https://storage.googleapis.com/golang/go1.15.6.linux-ppc64le.tar.gz'; sha256='d4174fc217e749ac049eacc8827df879689f2246ac230d04991ae7df336f7cb2'; ;; 's390x') arch='linux-s390x'; url='https://storage.googleapis.com/golang/go1.15.6.linux-s390x.tar.gz'; sha256='839cc6b67687d8bb7cb044e4a9a2eac0c090765cc8ec55ffe714dfb7cd51cf3a'; ;; *) arch='src'; url='https://storage.googleapis.com/golang/go1.15.6.src.tar.gz'; sha256='890bba73c5e2b19ffb1180e385ea225059eb008eb91b694875dd86ea48675817'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2; ;; esac; wget -O go.tgz.asc "$url.asc" --progress=dot:giga; wget -O go.tgz "$url" --progress=dot:giga; echo "$sha256 *go.tgz" | sha256sum --strict --check -; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys 'EB4C 1BFD 4F04 2F6D DDCC EC91 7721 F63B D38B 4796'; gpg --batch --verify go.tgz.asc go.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME" go.tgz.asc; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$arch" = 'src' ]; then savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends golang-go; goEnv="$(go env | sed -rn -e '/^GO(OS|ARCH|ARM|386)=/s//export \0/p')"; eval "$goEnv"; [ -n "$GOOS" ]; [ -n "$GOARCH" ]; ( cd /usr/local/go/src; ./make.bash; ); apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark > /dev/null; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*; go install std; rm -rf /usr/local/go/pkg/*/cmd /usr/local/go/pkg/bootstrap /usr/local/go/pkg/obj /usr/local/go/pkg/tool/*/api /usr/local/go/pkg/tool/*/go_bootstrap /usr/local/go/src/cmd/dist/dist ; fi; go version
2021-01-12 15:13:33 UTC/bin/sh -c #(nop) ENV GOPATH=/go
2021-01-12 15:13:33 UTC/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2021-01-12 15:13:34 UTC/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"
2021-01-12 15:13:34 UTC/bin/sh -c #(nop) WORKDIR /go